Subject: Re: Feature Request: Branch Annotations

From: David Soria Parra <[email-masked]>
Date: Thu, 09 Oct 2008 01:20:44 +0200

> Haven't people watched Linus on google tech talk?  Here is an excerpt from
> the transcript (http://git.or.cz/gitwiki/LinusTalk200705Transcript):
> 
>     ... well actually you shouldn't call it "test", you should basically
>     name your branches the way you name your functions, you should call
>     them something short and sweet and to the point -- What is that branch
>     doing.
> 
> IOW, why did you name the branch "ds/fix" and not "ds/fix-bla"?

Okay I just choosed a bad example. Actually I call it ds/fix-function, 
but nevertheless more additional description can be useful when dealing 
with a lot of branches. But yes, there might be porcelains that can do that.